tigase.xmpp.impl

## Class MobileV1

- java.lang.Object
- - tigase.xmpp.XMPPProcessor
  - - tigase.xmpp.impl.MobileV1

- All Implemented Interfaces:
    Comparable<XMPPImplIfc>, XMPPImplIfc, XMPPPacketFilterIfc, XMPPProcessorIfc

      public class MobileV1
      extends XMPPProcessor
      implements XMPPProcessorIfc, XMPPPacketFilterIfc

  Class responsible for queuing packets (usable in connections from mobile clients - power usage optimization) version 1
  Author:
    andrzej

- - ### Field Summary

    - ### Fields inherited from class tigase.xmpp.XMPPProcessor

      `ALL_NAMES, ALL_PATHS`

    - ### Fields inherited from interface tigase.xmpp.XMPPImplIfc

      `CLIENT_XMLNS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MobileV1()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `filter(Packet _packet, XMPPResourceConnection sessionFromSM, NonAuthUserRepository repo, Queue<Packet> results)` Method description
    `boolean` | `filter(XMPPResourceConnection session, Packet res, Queue<Packet> queue)` Method description
    `String` | `id()` Method description
    `void` | `init(Map<String,Object> settings)` Method description
    `protected boolean` | `isQueueEnabled(XMPPResourceConnection session)` Check if queuing is enabled
    `protected boolean` | `isTimedOut(XMPPResourceConnection session)` Check timeout for queue
    `void` | `process(Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, Queue<Packet> results, Map<String,Object> settings)` Method description
    `String[][]` | `supElementNamePaths()` Method description
    `String[]` | `supNamespaces()` Method description
    `tigase.xml.Element[]` | `supStreamFeatures(XMPPResourceConnection session)` Method description
    `protected void` | `updateLastAccessTime(XMPPResourceConnection session)` Update last send time

    - ### Methods inherited from class tigase.xmpp.XMPPProcessor

      `canHandle, compareTo, concurrentQueuesNo, concurrentThreadsPerQueue, getInstance, getStatistics, isSupporting, supDiscoFeatures, supElements, supTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.xmpp.XMPPImplIfc

      `canHandle, concurrentQueuesNo, concurrentThreadsPerQueue, getStatistics, isSupporting, supDiscoFeatures, supElements, supTypes`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Constructor Detail

    - #### MobileV1

          public MobileV1()

  - ### Method Detail

    - #### id

          public String id()

      Method description
      Specified by:
        `id` in interface `XMPPImplIfc`
      Returns:

    - #### init

          public void init(Map<String,Object> settings)
                    throws TigaseDBException

      Method description
      Specified by:
        `init` in interface `XMPPImplIfc`
      Overrides:
        `init` in class `XMPPProcessor`
      Parameters:
        `settings` -
      Throws:
        `TigaseDBException`

    - #### process

          public void process(Packet packet,
                     XMPPResourceConnection session,
                     NonAuthUserRepository repo,
                     Queue<Packet> results,
                     Map<String,Object> settings)

      Method description
      Specified by:
        `process` in interface `XMPPProcessorIfc`
      Parameters:
        `packet` -
        `session` -
        `repo` -
        `results` -
        `settings` -

    - #### supElementNamePaths

          public String[][] supElementNamePaths()

      Method description
      Specified by:
        `supElementNamePaths` in interface `XMPPImplIfc`
      Overrides:
        `supElementNamePaths` in class `XMPPProcessor`
      Returns:

    - #### supNamespaces

          public String[] supNamespaces()

      Method description
      Specified by:
        `supNamespaces` in interface `XMPPImplIfc`
      Overrides:
        `supNamespaces` in class `XMPPProcessor`
      Returns:

    - #### supStreamFeatures

          public tigase.xml.Element[] supStreamFeatures(XMPPResourceConnection session)

      Method description
      Specified by:
        `supStreamFeatures` in interface `XMPPImplIfc`
      Overrides:
        `supStreamFeatures` in class `XMPPProcessor`
      Parameters:
        `session` -
      Returns:

    - #### filter

          public void filter(Packet _packet,
                    XMPPResourceConnection sessionFromSM,
                    NonAuthUserRepository repo,
                    Queue<Packet> results)

      Method description
      Specified by:
        `filter` in interface `XMPPPacketFilterIfc`
      Parameters:
        `_packet` -
        `sessionFromSM` -
        `repo` -
        `results` -

    - #### filter

          public boolean filter(XMPPResourceConnection session,
                       Packet res,
                       Queue<Packet> queue)

      Method description
      Parameters:
        `session` -
        `res` -
        `queue` -
      Returns:

    - #### isQueueEnabled

          protected boolean isQueueEnabled(XMPPResourceConnection session)

      Check if queuing is enabled
      Parameters:
        `session` -
      Returns:

    - #### isTimedOut

          protected boolean isTimedOut(XMPPResourceConnection session)

      Check timeout for queue
      Parameters:
        `session` -
      Returns:

    - #### updateLastAccessTime

          protected void updateLastAccessTime(XMPPResourceConnection session)

      Update last send time
      Parameters:
        `session` -

Copyright © 2013 Tigase. All rights reserved.